Not a member of Pastebin yet?
Sign Up,
it unlocks many cool features!
- # -*- coding: utf-8 -*-
- import FreeCAD
- import Mesh
- import Import
- App.newDocument("Unnamed")
- #App.setActiveDocument("Unnamed")
- #App.ActiveDocument=App.getDocument("Unnamed")
- #Gui.ActiveDocument=Gui.getDocument("Unnamed")
- #Gui.activeDocument().activeView().viewDefaultOrientation()
- Import.insert(u"/home/user/Projects/FreeCAD/file.stp","Unnamed")
- #Gui.SendMsgToActiveView("ViewFit")
- __objs__=[]
- __objs__.append(FreeCAD.getDocument("Unnamed").getObject("Part__Feature"))
- Mesh.export(__objs__,u"/home/user/Projects/FreeCAD/file.stl")
- del __objs__
Add Comment
Please, Sign In to add comment